RTEMS: m360SCCENparms_ Struct Reference

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Data Fields
m360SCCENparms_ Struct Reference

## Data Fields
unsigned short | rbase
unsigned short | tbase
unsigned char | rfcr
unsigned char | tfcr
unsigned short | mrblr
unsigned long | _rstate
unsigned long | _pad0
unsigned short | _rbptr
unsigned short | _pad1
unsigned long | _pad2
unsigned long | _tstate
unsigned long | _pad3
unsigned short | _tbptr
unsigned short | _pad4
unsigned long | _pad5
unsigned long | _rcrc
unsigned long | _tcrc
union {
struct {
unsigned long _res0
unsigned long _res1
unsigned short max_idl
unsigned short _idlc
unsigned short brkcr
unsigned short parec
unsigned short frmec
unsigned short nosec
unsigned short brkec
unsigned short brklen
unsigned short uaddr [2]
unsigned short _rtemp
unsigned short toseq
unsigned short character [8]
unsigned short rccm
unsigned short rccr
unsigned short rlbc
} uart
struct {
unsigned long c_pres
unsigned long c_mask
unsigned long crcec
unsigned long alec
unsigned long disfc
unsigned short pads
unsigned short ret_lim
unsigned short _ret_cnt
unsigned short mflr
unsigned short minflr
unsigned short maxd1
unsigned short maxd2
unsigned short _maxd
unsigned short dma_cnt
unsigned short _max_b
unsigned short gaddr1
unsigned short gaddr2
unsigned short gaddr3
unsigned short gaddr4
unsigned long _tbuf0data0
unsigned long _tbuf0data1
unsigned long _tbuf0rba0
unsigned long _tbuf0crc
unsigned short _tbuf0bcnt
unsigned short paddr_h
unsigned short paddr_m
unsigned short paddr_l
unsigned short p_per
unsigned short _rfbd_ptr
unsigned short _tfbd_ptr
unsigned short _tlbd_ptr
unsigned long _tbuf1data0
unsigned long _tbuf1data1
unsigned long _tbuf1rba0
unsigned long _tbuf1crc
unsigned short _tbuf1bcnt
unsigned short _tx_len
unsigned short iaddr1
unsigned short iaddr2
unsigned short iaddr3
unsigned short iaddr4
unsigned short _boff_cnt
unsigned short taddr_h
unsigned short taddr_m
unsigned short taddr_l
} ethernet
struct {
unsigned long crc_p
unsigned long crc_c
} transparent
} | un

The documentation for this struct was generated from the following file:

- cpukit/score/cpu/m68k/include/rtems/m68k/m68360.h